| Flutter Impeller |

Classes | Public Attributes | List of all members
impeller::GlyphProperties Struct Reference

`#include <font_glyph_pair.h>`

## Classes
struct | Equal

## Public Attributes
Color | color = Color::Black()
Scalar | stroke_width = 0.0
Cap | stroke_cap = Cap::kButt
Join | stroke_join = Join::kMiter
Scalar | stroke_miter = 4.0
bool | stroke = false

## Detailed Description

Definition at line 16 of file font_glyph_pair.h.

## Member Data Documentation

## ◆ color

Color impeller::GlyphProperties::color = Color::Black()

Definition at line 17 of file font_glyph_pair.h.

Referenced by impeller::FirstPassDispatcher::drawTextFrame(), impeller::GlyphProperties::Equal::operator()(), impeller::TextContents::SetTextProperties(), and impeller::testing::TEST_P().

## ◆ stroke

bool impeller::GlyphProperties::stroke = false

Definition at line 22 of file font_glyph_pair.h.

Referenced by impeller::FirstPassDispatcher::drawTextFrame(), impeller::GlyphProperties::Equal::operator()(), and impeller::TextContents::SetTextProperties().

## ◆ stroke_cap

Cap impeller::GlyphProperties::stroke_cap = Cap::kButt

Definition at line 19 of file font_glyph_pair.h.

Referenced by impeller::FirstPassDispatcher::drawTextFrame(), impeller::GlyphProperties::Equal::operator()(), and impeller::TextContents::SetTextProperties().

## ◆ stroke_join

Join impeller::GlyphProperties::stroke_join = Join::kMiter

Definition at line 20 of file font_glyph_pair.h.

Referenced by impeller::FirstPassDispatcher::drawTextFrame(), impeller::GlyphProperties::Equal::operator()(), and impeller::TextContents::SetTextProperties().

## ◆ stroke_miter

Scalar impeller::GlyphProperties::stroke_miter = 4.0

Definition at line 21 of file font_glyph_pair.h.

Referenced by impeller::FirstPassDispatcher::drawTextFrame(), impeller::GlyphProperties::Equal::operator()(), and impeller::TextContents::SetTextProperties().

## ◆ stroke_width

Scalar impeller::GlyphProperties::stroke_width = 0.0

Definition at line 18 of file font_glyph_pair.h.

Referenced by impeller::FirstPassDispatcher::drawTextFrame(), impeller::GlyphProperties::Equal::operator()(), and impeller::TextContents::SetTextProperties().

The documentation for this struct was generated from the following file:

- impeller/typographer/font_glyph_pair.h